PKG-FETCH(8)

NAME
pkg fetch - Fetches remote packages.

SYNOPSIS
pkg fetch [-r reponame] [-yqgxXa] <pkg-name> [...]

DESCRIPTION
pkg fetch is used to download binary packages from a remote repository.

One or more packages, or patterns can be specified.

OPTIONS
The following options are supported by pkg fetch:

-a  Fetch all packages.

-y  Assume yes when asked for confirmation before fetching packages.

-q  Quiet mode. Show less output.

-r reponame
    Fetches packages from the given reponame if multiple repo support is enabled. See pkg.conf(5).

-g  Treat <pkg-name> as a shell glob pattern.

-x  Treat <pkg-name> as a regular expression.

-X  Treat <pkg-name> as an extended regular expression.

ENVIRONMENT
The following environment variables affect the execution of pkg fetch. See pkg.conf(5) for further description.

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg(8), pkg-add(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-create(8), pkg-delete(8), pkg-info(8), pkg-install(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8), pkg.conf(5)